# Author: Victoria L. Prince <vliublinska@hbs.edu>
# Last updated by: Ashesh Rambachan <asheshr@g.harvard.edu>
# Description:
#   The script combines results produced by all jobs for the one unit, large T simulations from scrap/*.rds and saves them.
#   NOTE: Change the name of the saved RDS file to your choice.

files <- list.files(pattern = "sim_res.*", path = "scrap/")

sim_res <- c()
for (fl in files){
  fpath <- paste0("scrap/", fl)
  res_tmp <- readRDS(fpath)
  sim_res <-rbind(sim_res, res_tmp)
}
# NOTE: Change the file name to your choice
#saveRDS(sim_res, "results/sim_results_largeT.rds")
